Subject: Package: connman sysvint script disables DNS lookups when resolvconf package installed

From: Vernon Van Steenkist <[email-masked]>
Date: Wed, 22 Jul 2020 16:50:56 -0400

Package: connman
Version: 1.36-2 i386

Beowulf connman 1.36-2 i386 sysvinit script conflicts with resolvconf 1.79 package leaving the system in a state unable to do DNS lookups.

Problem one:

sed -n "22,25p" /etc/init.d/connman

if [ "CONNMAN_RUNSTATEDIR_RESOLVCONF" != "no" ] ; then
     mkdir -p /run/connman
     ln -sf /run/connman/resolv.conf /etc/
fi

Since string CONNMAN_RUNSTATEDIR_RESOLVCONF will never be equal to string no, the following line will always be executed
ln -sf /run/connman/resolv.conf /etc/

So, I am not what conditional

if [ "CONNMAN_RUNSTATEDIR_RESOLVCONF" != "no" ]

is supposed to accomplish.

Problem Two:

This creates a problem when using the resolvconf package. Package resolvconf links /etc/resolv.conf to
/run/resolvconf/resolv.conf However, after re-boot, /etc/init.d/connman overwrites this link and links
/etc/resolv.conf to /run/connman/resolv.conf
once again leaving the system in a state unable to do DNS look-ups.

I have brute forced a fix by commenting out the line
ln -sf /run/connman/resolv.conf /etc/ in /etc/init.d/connman

sed -n "22,25p" /etc/init.d/connman

if [ "CONNMAN_RUNSTATEDIR_RESOLVCONF" != "no" ] ; then
     mkdir -p /run/connman
#    ln -sf /run/connman/resolv.conf /etc/
fi

and re-linking /etc/resolv.conf to /run/resolvconf/resolv.conf

I am not sure what the correct fix should be.

Please don't hesitate to contact me if you have any questions.

Thanks,
Vernon